### Constructor

# Foundry CommandStage new

#### Declaration [src]

    FoundryBuildStage*
    foundry_command_stage_new (
      FoundryContext* context,
      FoundryBuildPipelinePhase phase,
      FoundryCommand* build_command,
      FoundryCommand* clean_command,
      FoundryCommand* purge_command,
      GFile* query_file,
      gboolean phony
    )

#### Description

No description available.

#### Parameters

`context`

  Type: `FoundryContext`

  No description available.

  The data is owned by the caller of the function.

`phase`

  Type: `FoundryBuildPipelinePhase`

  No description available.

`build_command`

  Type: `FoundryCommand`

  A command or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`clean_command`

  Type: `FoundryCommand`

  A command or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`purge_command`

  Type: `FoundryCommand`

  A command or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`query_file`

  Type: `GFile`

  A file to query for completion.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`phony`

  Type: `gboolean`

  If this command should be run every time without checking if it has already completed.

#### Return value

Type: `FoundryBuildStage`

A `FoundryCommandStage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.